# Ban user

Add a ban to the user, either for a specific period or permanently.
 

{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for server-side methods are applied to this method.
{% /html %}

Endpoint: POST /projects/{project_id}/users/{user_id}/ban
Version: v1
Security: Server

## Path parameters:

  - `project_id` (string, required)
    Login project ID from Publisher Account.

  - `user_id` (string, required)
    User ID. You can find it in Publisher Account > your Login project > Users.

## Request fields (application/json):

  - `date_from` (string,null)
    The starting date and time when the user ban becomes effective. Must be provided in the following format 'YYYY-MM-DDTHH:MM:SS+0000' (e.g., '2025-04-29T14:30:00+0000').

  - `date_to` (string,null)
    The ending date and time when the user ban expires. Must be provided in the following format: 'YYYY-MM-DDTHH:MM:SS+0000' (e.g., '2025-04-29T14:30:00+0000').

  - `reason` (string, required)
    A short explanation for why the user is being banned.

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 403 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 422 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


## Response 204 fields
